Loading...
Searching...
No Matches
CBot::CBotCStack::Data Struct Reference

## Public Attributes

CBotProgram * | prog = nullptr
| The program currently being compiled.
CBotError | error = CBotNoErr
| The current error state of the compile stack.
int | errEnd = 0
CBotTypResult | retTyp = CBotTypResult(CBotTypVoid)
| The return type of the function currently being compiled.

## Member Data Documentation

## prog

CBotProgram* CBot::CBotCStack::Data::prog = nullptr

The program currently being compiled.

## error

CBotError CBot::CBotCStack::Data::error = CBotNoErr

The current error state of the compile stack.

## retTyp

CBotTypResult CBot::CBotCStack::Data::retTyp = CBotTypResult(CBotTypVoid)

The return type of the function currently being compiled.

The documentation for this struct was generated from the following file:

- src/CBot/CBotCStack.cpp